Bug 248692 - Review Request: R-rlecuyer - R interface to RNG with multiple streams
Review Request: R-rlecuyer - R interface to RNG with multiple streams
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
: 248693 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-18 06:16 EDT by Pierre-Yves
Modified: 2007-12-03 06:38 EST (History)
2 users (show)

See Also:
Fixed In Version: 0.1-3.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-03 00:36:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Pierre-Yves 2007-07-18 06:16:36 EDT
Spec URL: 
http://pingoured.dyndns.org/public/RPM/R-rlecuyer/R-rlecuyer.spec
SRPM URL: 
http://pingoured.dyndns.org/public/RPM/R-rlecuyer/R-rlecuyer-0.1-1.fc6.src.rpm

Description: 
Provides an interface to the C implementation of the random number 
generator with multiple independent streams developed by L'Ecuyer 
et al (2002). The main purpose of this package is to enable the 
use of this random number generator in parallel R applications.  

Thanks :-)
Comment 1 Pierre-Yves 2007-07-18 06:19:35 EDT
*** Bug 248693 has been marked as a duplicate of this bug. ***
Comment 2 Jason Tibbitts 2007-07-18 15:28:22 EDT
You have put up many packages for review lately; perhaps you should consider
doing some package reviews yourself.  I believe there are some R packages up for
review which were submitted by someone else.
Comment 3 Pierre-Yves 2007-07-29 16:11:18 EDT
Sorry I was on vacation, I do not mind to do R reviews as I start to know how to
do the packages ;-).
I have found on the list 2 R package that you have approved by that time, but I
will try to keep me in touch with the new R package to review them.

For the numbers of package that I submitted to review, most of them are only
dependances for other package the R CMD check ask not only for the package
required but also for the package suggested (which sometime are only data files
http://bioconductor.org/packages/2.0/bioc/html/annotate.html => hgu95av2 is only
data file)
I do have problems packaging it, each package ask for many dependances and as it
is the beginning I have a lot to do to finally being able to package the
software of interest...

Thanks anyway for your help
Comment 4 Pierre-Yves 2007-08-29 13:49:26 EDT
There is the newest version with the correct license tag :

SPEC
http://www.pingoured.fr/public/RPM/R-rlecuyer/R-rlecuyer.spec
SRPM
http://www.pingoured.fr/public/RPM/R-rlecuyer/R-rlecuyer-0.1-2.fc6.src.rpm

++
Comment 5 Jason Tibbitts 2007-11-18 20:52:25 EST
This package is fine; the only thing I can see is that you don't need the manual
R dependency for arch-specific R packages because rpm will find the libR.so
dependency on its own.

* source files match upstream:
   94aaeb5fb7b164223fc71f3d9813ce5a75c88cf7ff18521ab6012a5039511f9f  
   rlecuyer_0.1.tar.gz
* package meets naming and versioning guidelines.
* package follows R packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly
* debuginfo package looks complete.
* rpmlint has only the expected complaints.
* final provides and requires are sane (extraneous R dependency):
   rlecuyer.so()(64bit)
   R-rlecuyer = 0.1-2.fc9
  =
   /bin/sh
?  R
   libR.so()(64bit)

* %check is present and all tests pass.
* no shared libraries are added to the regular linker search paths.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no static libraries.
* no libtool .la files.

APPROVED
Comment 6 Pierre-Yves 2007-11-23 12:08:02 EST
New Package CVS Request
=======================
Package Name: R-rlecuyer
Short Description: R interface to RNG with multiple streams
Owners: pingou
Branches: F-7 F-8
InitialCC: 
Cvsextras Commits: yes
Comment 7 Kevin Fenzi 2007-11-23 14:56:10 EST
cvs done.
Comment 8 Fedora Update System 2007-11-28 20:41:10 EST
R-rlecuyer-0.1-3.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update R-rlecuyer'
Comment 9 Fedora Update System 2007-11-28 20:41:14 EST
R-rlecuyer-0.1-3.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update R-rlecuyer'
Comment 10 Fedora Update System 2007-12-03 00:36:03 EST
R-rlecuyer-0.1-3.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2007-12-03 06:38:25 EST
R-rlecuyer-0.1-3.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.